Mailrelay API Reference

Update an automation folder

PATCH https://{account}/api/v1/automation_folders/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Update an automation folder

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record
name string No Name

Responses

StatusDescription
200 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent, is invalid or has expired
403 The API key or its user doesn't have permission to use this endpoint, or the request comes from an IP address the key doesn't allow.
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
name string Name
created_at string Created at
updated_at string Updated at